""" Product:  mcdutils

Implement Zope sessions using memcached as the backing store.

$Id: __init__.py,v 1.5 2006/05/31 20:57:16 tseaver Exp $
"""

class MemCacheError(IOError):
    pass

def initialize(context):

    from Products.mcdutils.proxy import MemCacheProxy
    from Products.mcdutils.proxy import addMemCacheProxyForm
    from Products.mcdutils.proxy import addMemCacheProxy
    context.registerClass(MemCacheProxy,
                          constructors=(addMemCacheProxyForm,
                                        addMemCacheProxy),
                          icon='www/proxy.gif',
                         )

    from Products.mcdutils.sessiondata import MemCacheSessionDataContainer
    from Products.mcdutils.sessiondata \
        import addMemCacheSessionDataContainerForm
    from Products.mcdutils.sessiondata import addMemCacheSessionDataContainer
    context.registerClass(MemCacheSessionDataContainer,
                          constructors=(addMemCacheSessionDataContainerForm,
                                        addMemCacheSessionDataContainer),
                          icon='www/sdc.gif',
                         )
